Package wx :: Class StandardPaths

[frames | no frames]

## Type StandardPaths

    object --+
             |
            StandardPaths

wx.StandardPaths returns standard locations in the file system and should be used by programs to find their data files in a portable way.

In the description of the methods below, the example return values are given for the Unix, Windows and Mac OS X systems, however please note that these are just examples and the actual values may differ. For example, under Windows the system administrator may change the standard directories locations, i.e. the Windows directory may be named W:Win2003 instead of the default C:Windows.

The strings appname and username should be replaced with the value returned by `wx.App.GetAppName` and the name of the currently logged in user, respectively. The string prefix is only used under Unix and is /usr/local by default but may be changed using `SetInstallPrefix`.

The directories returned by the methods of this class may or may not exist. If they don't exist, it's up to the caller to create them, wx.StandardPaths doesn't do it.

Finally note that these functions only work with standardly packaged applications. I.e. under Unix you should follow the standard installation conventions and under Mac you should create your application bundle according to the Apple guidelines. Again, this class doesn't help you to do it.

Method Summary
| `__init__(self)`
StandardPaths | ``Get`()` Return the global standard paths singleton (Static method)
String | ``GetConfigDir`(self)` Return the directory with system config files: /etc under Unix, 'c:Documents and SettingsAll UsersApplication Data' under Windows, /Library/Preferences for Mac
String | ``GetDataDir`(self)` Return the location of the application's global, (i.e.
String | ``GetDocumentsDir`(self)` Return the Documents directory for the current user.
String | ``GetExecutablePath`(self)` Return the path (directory+filename) of the running executable or an empty string if it couldn't be determined.
String | ``GetInstallPrefix`(self)` Get the program installation prefix.
String | ``GetLocalDataDir`(self)` Return the location for application data files which are host-specific.
String | ``GetLocalizedResourcesDir`(self, lang, category)` Get localized resources directory containing the resource files of the specified category for the given language.
String | ``GetPluginsDir`(self)` Return the directory where the loadable modules (plugins) live: prefix/lib/appname under Unix, program directory under Windows and Contents/Plugins app bundle subdirectory under Mac
String | ``GetResourcesDir`(self)` Get resources directory.
String | ``GetTempDir`(self)` Return the user's directory for temporary files.
String | ``GetUserConfigDir`(self)` Return the directory for the user config files: $HOME under Unix, 'c:Documents and Settingsusername' under Windows, and ~/Library/Preferences under Mac
String | ``GetUserDataDir`(self)` Return the directory for the user-dependent application data files: $HOME/.appname under Unix, c:Documents and SettingsusernameApplication Datappname under Windows and ~/Library/Application Support/appname under Mac
String | ``GetUserLocalDataDir`(self)` Return the directory for user data files which shouldn't be shared with the other machines
| ``SetInstallPrefix`(self, prefix)` Set the program installation directory which is /usr/local by default.

Property Summary
| `thisown`: The membership flag

Class Variable Summary
`int` | `ResourceCat_Max` = 2
`int` | `ResourceCat_Messages` = 1
`int` | `ResourceCat_None` = 0

Instance Method Details

### GetConfigDir(self)

Return the directory with system config files: /etc under Unix, 'c:Documents and SettingsAll UsersApplication Data' under Windows, /Library/Preferences for Mac

  Returns:
    String

### GetDataDir(self)

Return the location of the application's global, (i.e. not user-specific,) data files: prefix/share/appname under Unix, 'c:Program Filesppname' under Windows, appname.app/Contents/SharedSupport app bundle directory under Mac.

  Returns:
    String

### GetDocumentsDir(self)

Return the Documents directory for the current user.

C:Documents and SettingsusernameDocuments under Windows, $HOME under Unix and ~/Documents under Mac

  Returns:
    String

### GetExecutablePath(self)

Return the path (directory+filename) of the running executable or an empty string if it couldn't be determined. The path is returned as an absolute path whenever possible.

  Returns:
    String

### GetInstallPrefix(self)

Get the program installation prefix. The default is the prefix where Python is installed. (This function only has meaning on Unix systems.)

  Returns:
    String

### GetLocalDataDir(self)

Return the location for application data files which are host-specific. Same as `GetDataDir` except under Unix where it is /etc/appname

  Returns:
    String

### GetLocalizedResourcesDir(self, lang, category=ResourceCat_None)

Get localized resources directory containing the resource files of the specified category for the given language.

In general this is just GetResourcesDir()/lang under Windows and Unix and GetResourcesDir()/lang.lproj under Mac but is something quite different under Unix for the message catalog category (namely the standard prefix/share/locale/lang/LC_MESSAGES.)

  Parameters:
    `lang`
    (type=String)

    `category`
    (type=int)

  Returns:
    String

### GetPluginsDir(self)

Return the directory where the loadable modules (plugins) live: prefix/lib/appname under Unix, program directory under Windows and Contents/Plugins app bundle subdirectory under Mac

  Returns:
    String

### GetResourcesDir(self)

Get resources directory. Resources are auxiliary files used by the application and include things like image and sound files.

Same as `GetDataDir` for all platforms except Mac where it returns Contents/Resources subdirectory of the app bundle.

  Returns:
    String

### GetTempDir(self)

Return the user's directory for temporary files.

  Returns:
    String

### GetUserConfigDir(self)

Return the directory for the user config files: $HOME under Unix, 'c:Documents and Settingsusername' under Windows, and ~/Library/Preferences under Mac

Only use this if you have a single file to put there, otherwise `GetUserDataDir` is more appropriate

  Returns:
    String

### GetUserDataDir(self)

Return the directory for the user-dependent application data files: $HOME/.appname under Unix, c:Documents and SettingsusernameApplication Datappname under Windows and ~/Library/Application Support/appname under Mac

  Returns:
    String

### GetUserLocalDataDir(self)

Return the directory for user data files which shouldn't be shared with the other machines

Same as `GetUserDataDir` for all platforms except Windows where it is the 'Local SettingsApplication Datappname' directory.

  Returns:
    String

### SetInstallPrefix(self, prefix)

Set the program installation directory which is /usr/local by default. This value will be used by other methods such as `GetDataDir` and `GetPluginsDir` as the prefix for what they return. (This function only has meaning on Unix systems.)

  Parameters:
    `prefix`
    (type=String)

Static Method Details

### Get()

Return the global standard paths singleton

  Returns:
    StandardPaths

Property Details

### thisown

The membership flag

Class Variable Details

### ResourceCat_Max

  Type:
    `int`
  Value:

        2

### ResourceCat_Messages

  Type:
    `int`
  Value:

        1

### ResourceCat_None

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:43 2007 | http://epydoc.sf.net